Malwarebytes Anti-Malware

Malwarebytes Anti-Malware is a next-generation anti-malware program that can quickly detect, destroy, and block malicious software. Malwarebytes Anti-Malware can detect and remove malware that even many of the most well-known anti-virus and anti-malware applications on the market today cannot.

The PRO version of Malwarebytes Anti-Malware monitors every process and stops malicious processes before they even start. The scanner and realtime Protection Module both use our advanced heuristic scanning technology to keep your system safe and secure against even the latest malware threats.


System Requirements

Software Requirements:

  • Microsoft® Windows Vista, Windows 7, Windows 8 (32 bit and 64 bit).
  • Microsoft® Windows XP Service Pack 2 or later.
  • Microsoft® Internet Explorer 6 or newer.

Hardware Requirements:

  • 800MHZ CPU or faster.
  • 256MB of RAM (512MB or more recommended).
  • 20MB free hard disk space.
  • 800x600 or greater screen resolution.
  • Active internet connection for database and product updates.


Key Features

Malwarebytes Anti-Malware is an anti-malware application with the following features:

  • Support for Windows XP Service Pack 2 or later, Vista, 7, and 8 (32-bit and 64-bit).
  • Realtime protection (PRO version only) works together with leading anti-virus utilities to make your computer more secure.
  • Realtime Protection detects and blocks threats whenever they try to execute. (PRO version only)
  • Malicious website blocking prevents access to malicious and infected websites. (PRO version only)
  • Scheduled updates to keep protection up-to-date automatically. (PRO version only)
  • Scheduled scans so you can set it and forget it, knowing that your system will get checked as regularly as you desire. (PRO version only)
  • Lightning fast Flash Scans to check for immediately active threats on your system. (PRO version only)
  • Password protect your settings to prevent unauthorized changes. (PRO version only)
  • Light speed quick scanning.
  • Ability to perform full scans for all drives.
  • Database updates released daily to protect against the newest malware in-the-wild.
  • Intelligent heuristics detect even the most persistent malware while remaining light on system resources.
  • Quarantine to hold threats and restore them at your convenience.
  • Ignore List for both the scanner and Protection Module.
  • A small list of extra utilities to help remove malware manually.
  • Dynamic Malwarebytes Chameleon technologies to get Malwarebytes Anti-Malware running when blocked by infection.
  • Multi-lingual support.
  • Context menu integration to scan files on demand.

Plus many more!


Features and Functions: Registering Malwarebytes Anti-Malware

Activating Malwarebytes Anti-Malware

A registered version of Malwarebytes Anti-Malware will display partial licensing information. A free version will show a "Buy Now" button and an "Activate" button near the bottom of the product.

To activate and unlock the PRO features successfully:

  1. Locate the ID and Key from your order confirmation email.
  2. Click on the "Activate" button to begin product activation.
  3. Copy and paste the product ID and Key into the text fields.
  4. Click on the "Activate" button under the text fields to complete the activation process.

Available check boxes:

  • Enable protection module: This option will enable the realtime Protection Module immediately upon successful registration.
  • Keep protection up-to-date automatically: This option will automatically create a daily update entry in the Scheduler to keep protection up-to-date upon successful activation.


Features and Functions

Using Malwarebytes Anti-Malware is a breeze! The interface is neatly divided into tabs to help you move through it quickly and efficiently. Click below for a brief description of each tab.

Scanner

Protection

Update

Quarantine

Logs

Ignore List

Settings

Scheduler

More Tools

About


Features and Functions: Scanner

Scanner

The scanner tab allows you to run a quick, full, or flash scan. This will reveal any known malware on your system.

  • Quick Scan: Scans all system locations where malware is known to install itself. This is the scan type recommended by Malwarebytes.
  • Full Scan: Scans every file on the drives you select in addition to all of the areas checked by the quick scan.
  • Flash Scan: Scans system memory and startup locations for active infections. It also checks key locations using heuristics. (PRO version only)


Features and Functions: Protection

Protection

In the unregistered version of Malwarebytes Anti-Malware, the protection tab shows a comparison of the two versions, highlighting the added features available in the PRO Version. Clicking on the comparison image takes the user to the Malwarebytes Anti-Malware online store.

In the registered version of Malwarebytes Anti-Malware, the protection tab displays various options now available to protect the system from malicious threats, utilizing the advanced protection module along with the scheduler.

  • Enable filesystem protection: Malicious file execution blocking is enabled. If the tray icon for the protection module is not already running, it will start and will enable both protection components if they are both set to start when the protection module starts. If the tray icon is already running, it will simply enable or disable Filesystem Protection.
  • Enable malicious website blocking: Malicious website blocking is enabled. If the tray icon for the protection module is not already running, it will start and will enable both protection components if they are both set to start when the protection module starts. If the tray icon is already running, it will simply enable or disable Website Blocking
  • Start protection module with Windows: This option will start the Protection Module during system startup and place a tray icon in the system tray.
  • Start file execution blocking when protection module starts: This option detects and blocks malicious processes and prompts the user to take action upon detection.
  • Start malicious website blocking when protection module starts: This option blocks access to known malicious websites.
  • Automatically quarantine filesystem threats detected by the protection module: This option will quarantine infected files detected by the protection module automatically. When this setting is disabled, the user will be prompted to take an action. The three available actions are 'Quarantine' which will block the threat from running and quarantine the file, 'Allow Temporarily' which will allow the threat to run one time but will block the threat if it attempts to run at a later time, and 'Allow Always' which will add the threat to the Ignore List.

  • Show tooltip balloon when filesystem threat is blocked: This option will generate a tray icon notification whenever a filesystem threat is quarantined. The 'Automatically quarantine filesystem threats detected by the protection module' setting must be enabled for this option to function.

  • Show tooltip balloon when malicious website is blocked: This option will generate a tray icon notification whenever a malicious IP address is blocked. Details such as the application name, the connection type as well as the port number are shown on Windows Vista and higher operating systems.

  • Scheduler: Allows the user to schedule scans and updates to fit individual needs. An optional predefined update is included during activation. See the Scheduler section for details.

The protection tab also displays the current status of the protection module. If the tray, which controls and enables all components of the protection module is disabled, the following is shown.

If only one of the components of the protection module is disabled, the following is shown.

If both components of the protection module are enabled, the following is shown.


Features and Functions: Updates

Updates

The update tab allows the program and database to be updated with a single click on the "Check for Updates" button. This tab contains current database information for Malwarebytes Anti-Malware. It also displays the latest news from Malwarebytes. It is recommended that all free users check weekly for updates using this tab, and all PRO users may utilize the scheduler to keep Malwarebytes Anti-Malware updated automatically.

When you check for updates manually you'll see the update progress dialog.

Upon completion of the update you'll see the confirmation message displaying what the database version was prior to the update as well as the database version that it has been updated to.


Features and Functions: Quarantine

Quarantine

The quarantine tab holds all potential threats found on the system. It provides the user the option to delete these items and also the flexibility to restore a legitimate item from the quarantine. If you are unsure about a particular threat, be sure to do a search on the Internet for more information or visit our online community to learn more about it.

  • Delete: To delete a single quarantined item permanently, select (by clicking) the item from the list, then click the "Delete" button.
  • Delete All: To delete all quarantined items permanently, click the "Delete All" button.
  • Restore: To restore an item from the quarantine, click the "Restore" button.
  • Restore All: To restore all items from the quarantine, click the "Restore All" button.


Features and Functions: Logs

Logs

The logs tab allows you to manage your saved log files. To view a specific log file, select it from the list and click "Open" or simply double-click on it to view its contents. These logs are named based on the date and time. They contain valuable information such as the actions taken by Malwarebytes Anti-Malware when a scan is finished. It is recommended that you keep at least a month worth of logs for record keeping before deleting them off of the computer.

Your protection logs created by the protection module will also be displayed here so that you may view or delete them. They log information such as scheduled updates which have been processed, infections which have been detected by the protection module and websites which have been blocked by the protection module.

  • Open: To view a log file, select (by clicking) a log file from the list and click the "Open" button.
  • Delete: To delete a log file, select (by clicking) a log file from the list and click the "Delete" button.
  • Delete All: To delete all log files, click the "Delete All" button.


Features and Functions: Ignore List

Ignore List

The ignore list tab allows you to manage a list of items which both the scanner and protection module will exclude from scanning and detection. Programs such as other security products are usually recommended to add as you want both applications to complement each field of specialty and provide the added layer of protection without encountering conflicts and performance issues.

    Add: To set the exclusion manually from being scanned both by the scanner and the protection module in the PRO version, click on the "Add" button and use the browse window to locate the file or folder that you want to exclude from being scanned. This option is useful for resolving performance conflicts with other security software, such as your resident antivirus program. Simply add the program folders of your security software to the Ignore List.

    Delete: To remove a single item (file/folder/IP address) from the Ignore list, such as a file or folder, select (by clicking) the on the item listed and click "Delete".

    Delete All: To remove all items from the Ignore list immediately, click "Delete All".

Addressing possible threats from scanned results:

  1. Upon a scan completion, Malwarebytes Anti-Malware will indicate that there are infected objects.
  2. Click "Show Results" in the main Malwarebytes Anti-Malware window.
  3. The Scanner tab will open showing infected items.
  4. Select only the item(s) Malwarebytes Anti-Malware should not consider as a risk, click "Ignore" to allow.
  5. Click "Remove Selected" to remove the threats remaining in the list.
  6. If there are no additional threats left, Malwarebytes Anti-Malware will display a message stating that there are no threats left to remove. Click "OK" to continue.

Accessing a Blocked Website: In order to bypass and access a potentially malicious website which has been blocked by Malwarebytes Anti-Malware, perform the following step.

  1. Navigate the web browser to the blocked website or IP address again.
  2. A balloon tip notification will pop up from the task tray indicating that access to the website has been blocked.
  3. Right-click on the Malwarebytes Anti-Malware tray icon, hover the mouse pointer over to "Add to Ignore List". Left-click on the IP address number that you want to add to the ignore list.

Security Risk: Once an IP address is added to the Ignore List, any website that uses that IP address will be able to bypass Malwarebytes Anti-Malware.


Features and Functions: Settings

Settings

The settings tab allows you to configure Malwarebytes Anti-Malware to work just how you want it. These additional options are categorized in three sections: General Settings, Scanner Settings, Updater Settings, and Scheduler Settings, the last of which will be covered in its own section of this documentation.

General Settings

  • Terminate Internet Explorer During Threat Removal (unchecked by default): Enabling this option allows Malwarebytes Anti-Malware to terminate Internet Explorer browser automatically before removing detected threats resided within the Temporary Internet Files folder. If this setting is not enabled, a reboot may be required to complete the threat removal process of these types of infections.
  • Anonymously Report Usage Statistics: The option will automatically collect statistical information on malware threats detected on the system and reports to our threat research center. No personally identifiable or personal information is collected.
  • Create Right Click Context Menu: A Scan with Malwarebytes Anti-Malware option is now available when a file or folder is right-clicked, enabling users to quickly scan an individual file/folder.
  • Automatically Save Log File After Scan Completes: This option automatically creates a log file each time a scan is performed.
  • Open Log File Immediately After Saving: This option will automatically open the log file after a scan is completed.
  • Set Password: Click this button to set a password. Any characters except for quotes (") are allowed to be used. To reset/remove the password you'll need to click the Set Password button, enter the current password, and then leave both fields blank and click "Submit". The password restricts access to the Protection, Ignore List and Settings tabs of the user interface.
  • Warn If Database Is Outdated By: This option will provide a pop-up notification indicating a database has elapsed the pre-determined number of days without an update.
  • Language: This drop-down menu allows the user to select the preferred language used by Malwarebytes Anti-Malware.

Scanner Settings

  • Scan Memory Objects: This scanning option will include a scan of all processes running in memory when a scan is performed to check for actively running infections.
  • Scan StartUp Objects: This scanning option will include a scan of known startup locations which threats might use to start themselves when the computer boots.
  • Scan Registry Objects: This scanning option will include a scan of the Windows registry to check for installed threats and malicious alterations of certain Windows settings.
  • Scan Filesystem Objects: This scanning option will scan files and folders on the system to check for infected files. The number of files and folders scanned and their location varies depending on the type of scan.
  • Scan Additional Items Against Heuristics: This scanning option will perform a check of key files, folders and registry locations against our very powerful heuristics database to look for infections not found by the other parts of the scan.
  • Enable scanning inside archives: This scanning option will include checking archive files (ZIP, RAR etc.) in the locations scanned.
  • Enable Advanced Heuristics Engine (Heuristics Shuriken): This option enables our latest heuristics detection engine to perform a more advanced analysis of the system for new threats not in our detection database, possibly finding threats the other parts of the scan cannot yet find.
  • Action for Potentially Unwanted Programs (PUP): This option detects known, non-malicious software which may causes undesirable performance or issues for the computer.
  • Action for Potentially Unwanted Modifications (PUM): This option identifies system setting modifications which may have an adverse effect or direct impact of available functionality or resources of the system.
  • Action for Peer-To-Peer Software (P2P): This option detects file sharing software installed on the system.
    • Available actions and definition for the above 3 settings:
  • Do not show in results list: Items of this type will not be detected or shown in the scanned results list.
  • Show in results list and check for removal: Items of this type will be detected, shown in the results list and marked for removal.
  • Show in results list and do not check for removal: The detected item is shown in the scan results list but will not be selected for removal. Each item must be checked manually for removal.

Updater Settings

  • Download and Install Program Update if available: When this box is checked, new program versions, if available, will be downloaded automatically whenever the program checks for database updates.
  • Notify me when a program update is ready for installation: If using the PRO version, the tray icon for the protection module will display a tooltip balloon to let you know that a new version of the program has been downloaded and is ready to install.
  • Use Proxy Server To Download Updates: When this option is checked, the user may set proxy server settings so that Malwarebytes Anti-Malware will be able to update via the internet proxy connection. Server address and the port number is required for a successful proxy connection.
  • Use Authentication: When this option is checked, it allows the user to enter the authentication information, working in conjunction with the "Use Proxy Server To Download Updates" option.


Features and Functions: Scheduler

Scheduler

Scheduler Settings

The Scheduler Settings tab allows you to configure scheduled updates and scans. This feature is only available in the PRO version of Malwarebytes Anti-Malware and is available after the product has been activated with a valid ID and Key. You'll also get to try this feature if you use the free trial, however it will cease to function once your trial expires.

You may click an existing scheduled item and use the Edit button to modify the scheduled task or the Delete button to remove it. Clicking the Add button allows you to create a new scheduled task as shown below. Use the radio buttons next to Type: to select what type of scheduled task you wish to create (Scan or Update).

Scheduling a scan

  • Frequency:This is where you select how often you want your scheduled scan to occur. Available options are Hourly, Daily, Weekly, Monthly, Once, and On reboot.
  • Starting on:This is where you choose the date and time that the scheduled scan should run for the first time. You may click in the box itself to change the date or time and you may also change the date by clicking on the small calendar icon on the right side of the box.
  • Recover if missed by: This is set to 0 by default, but if set to any other number (1-23), the task will attempt to run if the scheduled time was missed because the system was turned off during the actual scheduled time and the system is running within the number of hours that 'Recover if missed by' is set to. For example, if you have a daily scan set to run at 12:00AM, but your computer was not running at 12:00AM and you have 'Recover if missed by' set to 8 hours, if your PC is running any time between 12:00AM and 8:00AM, the scheduled scan will execute. This option is unavailable for monthly and on reboot scans.
  • Repeating every: This is where you select how often the scheduled scan repeats. Available options are 1-23 hours for hourly scans, 1-60 days for daily scans, and 1-8 weeks for weekly scans. This option is unavailable for scans set to run on reboot.
  • Wake computer from sleep to perform task: This option will have Malwarebytes Anti-Malware attempt to wake your computer from sleep mode to execute the scheduled scan. Unfortunately this does not work on all system configurations. This option is unavailable for scans set to run on reboot.
  • Perform scheduled scan silently from system account: This will have Malwarebytes Anti-Malware run the scan from the hidden SYSTEM user account, resulting in the scan running in the background without the scanner window showing. Upon completion of the scan, regardless of whether or not threats were found, the scan will terminate.
  • Terminate program when scan completes successfully: This will have Malwarebytes Anti-Malware close if no threats were detected. This checkbox is automatically selected and cannot be unchecked if you have also enabled the 'Perform scheduled scan silently from system account' option.
  • Remove and quarantine all threats automatically: This will have Malwarebytes Anti-Malware remove any detected threats. Note that it also honors your scanner settings for PUP, PUM and P2P objects, so if any or all are not set to be selected for removal, they will not be removed.
  • Save log file regardless of user settings: This will have Malwarebytes Anti-Malware save a logfile upon completion of the scan even if 'Automatically save log file after scan completes' is unchecked under your general settings.
  • Restart the computer if required for threat removal: This will have Malwarebytes Anti-Malware reboot your computer without any notice should a threat be detected and removed during your scheduled scan which requires a reboot to complete the removal process. Note: You will not have the opportunity to save anything you are working on when this restart occurs so any open files in other programs will not be saved.
  • Add: Once you have your scan configured the way you want it, click the Add button to add it to the scheduler.
  • Cancel: If you've decided not to add your scheduled scan after all or not to make any changes to the one you were editing, click Cancel and no changes will be made and no new scheduled scan will be added.

Scheduling an update

  • Frequency: This is where you select how often you want your scheduled check for updates to occur. Available options are Realtime, Hourly, Weekly, Monthly, Once, and On reboot.
  • Starting on: This is where you choose the date and time that the scheduled update should run for the first time. You may click in the box itself to change the date or time and you may also change the date by clicking on the small calendar icon on the right side of the box.
  • Recover if missed by: This is set to 0 by default, but if set to any other number (1-23), the task will attempt to run if the scheduled time was missed because the system was turned off during the actual scheduled time and the system is running within the number of hours that 'Recover if missed by' is set to. For example, if you have a daily update set to run at 12:00AM, but your computer was not running at 12:00AM and you have 'Recover if missed by' set to 8 hours, if your PC is running any time between 12:00AM and 8:00AM, the scheduled update will execute. This option is unavailable for monthly and on reboot updates.
  • Repeating every: This is where you select how often the scheduled update check repeats. Available options are 1-59 minutes for realtime updates, 1-23 hours for hourly updates, 1-60 days for daily updates, and 1-8 weeks for weekly updates. This option is unavailable for all other frequencies.
  • Wake computer from sleep to perform task: This option will have Malwarebytes Anti-Malware attempt to wake your computer from sleep mode to execute the scheduled update. Unfortunately this does not work on all system configurations. This option is unavailable for updates set to run realtime or on reboot.
  • Show tooltip balloon after successful update: This option will have Malwarebytes Anti-Malware's tray icon used for realtime protection notify you when a successful update has occurred, but only if the database was actually updated. In order to receive this notification, Malwarebytes Anti-Malware's protection module must be running, however it does not require that either component of the protection module be enabled.
  • Run flash scan after successful update: This will have Malwarebytes Anti-Malware run a flash scan to check your system for any active threats which might reside on your system. It's useful for verifying that you aren't infected with anything which was not detected in the previous database but is now detected in the one which was just downloaded by the updater. This scan cannot be set to run silently.
  • Add: Once you have your update configured the way you want it, click the Add button to add it to the scheduler.
  • Cancel: If you've decided not to add your scheduled update after all or not to make any changes to the one you were editing, click Cancel and no changes will be made and no new scheduled update will be added.


Features and Functions: More Tools

More Tools

The More Tools tab is where we direct you to try more useful tools and products. This content is dynamically updated to offer you new and exciting products!


Features and Functions: About

About

The about tab has the basic information and disclaimer regarding Malwarebytes Anti-Malware. To learn more about Malwarebytes, click on www.malwarebytes.org button and it will launch your web browser to go to our website. Click on the Help button will open this help file.


Malwarebytes Chameleon

Malwarebytes Chameleon is a set of new technologies developed by us to help get Malwarebytes Anti-Malware up and running on a system when it is prevented from doing so by specific malware infections.

To access Chameleon:

  • Open your START menu
  • Click on All Programs
  • Click on Malwarebytes' Anti-Malware
  • Click on Tools
  • Click on Malwarebytes Anti-Malware Chameleon

If your START menu is empty or inaccessible due to the infection, then you may alternatively open it through the Windows Task Manager:

  • Press Ctrl+Shift+Esc on your keyboard
  • Once the Task Manager opens, click on File at the top and choose New Task (Run)
  • In the Create New Task box, click on the Browse button
  • In the window that opens, navigate to C:\Documents and Settings\All Users\Start Menu\Programs\Malwarebytes' Anti-Malware\Tools for Windows XP or C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Malwarebytes' Anti-Malware\Tools for Windows Vista and Windows 7
  • Click on the drop-down menu that says Programs and choose All files
  • Double-click on Malwarebytes Anti-Malware Chameleon.lnk (it will appear as a help file)

You may also open Chameleon directly from your internet browser:

  • Press the Alt key on your keyboard
  • Click on File at the top and choose either Open or Open File
  • Navigate to C:\Documents and Settings\All Users\Start Menu\Programs\Malwarebytes' Anti-Malware\Tools for Windows XP or C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Malwarebytes' Anti-Malware\Tools for Windows Vista and Windows 7
  • Double-click on Malwarebytes Anti-Malware Chameleon.lnk (it will look like a help file).

You may also use any of the above methods to attempt to open Malwarebytes Chameleon's executables directly. Simply navigate to the following path and double-click on each of the files one at a time until you find one that works which will be indicated by a black command prompt window opening which will provide you with further instructions:

C:\Program Files\Malwarebytes' Anti-Malware\Chameleon for 32 bit Windows versions or C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon for 64 bit Windows versions

On occasion, you may encounter an infection which the current version of Malwarebytes Chameleon cannot overcome. In these cases, it is recommended that you try the standalone version of Chameleon which is often updated more frequently than the version included with Malwarebytes Anti-Malware. This standalone version and instructions on using it may be found on our website at www.malwarebytes.org/products/chameleon.


Error Codes

This document explains some common Malwarebytes Anti-Malware error codes. Please contact us at www.malwarebytes.org/support if you have encountered an error not listed here..

PROGRAM_ERROR_COMMAND_LINE
The command line syntax was either invalid or formatted incorrectly.

PROGRAM_ERROR_LIMITED_USER
User does not have sufficient privileges to perform an elevated program task. Administrator privileges are required.

PROGRAM_ERROR_LOAD_DATABASE
Database was missing or corrupted, an attempt to download the database was unsuccessful.

PROGRAM_ERROR_NO_ITEMS_SELECTED
Please ensure that at least one item under Scanner Settings other than "Enable advanced heuristics engine. (Heuristics.Shuriken)" is selected.

PROGRAM_ERROR_NOT_REGISTERED
User does not have access to a PRO only feature.

PROGRAM_ERROR_UPDATING
Attempt to obtain update when internet connection was not available.

PROGRAM_ERROR_SCHEDULER_ADD
There was an error adding a duplicate task into scheduler.

PROGRAM_ERROR_SCHEDULER_REMOVE
There was an error removing the scheduled task.

PROGRAM_ERROR_OS_NOT_SUPPORTED
The operating system is not supported.

PROGRAM_ERROR_MISSING_FILE
A file necessary to run this application is missing. Please reinstall the application.

PROGRAM_ERROR_LOAD_RESOURCE
An error occurred trying to load a resource from the resource file. Please reinstall the application.

PROGRAM_ERROR_PROTECTION_MODULE
An error occurred starting the Protection Module. Please ensure you have administrator rights.


False Positives

Every anti-malware program will eventually produce a false positive detection. A false positive occurs when an anti-malware product detects a file as malicious when in fact, it is legitimate. Malwarebytes Anti-Malware is not a perfect product and we try our best to prevent these false positives. In the event of a false positive, please proceed with the following before contacting us.

  1. Use a search engine to verify that others do not think the item is malicious.
  2. Once you are sure that Malwarebytes Anti-Malware has detected a false positive with a legitimate application, it is time to let us know.
  3. Start Malwarebytes Anti-Malware using the /developer command line. This is a crucial step as it will generate a developer's log where the false positive has occurred.
  4. Contact us at www.malwarebytes.org/support and be sure to include a copy of this developer's log. It is crucial that we receive this log in order to analyze and resolve the issue quickly.


Command Line Parameters

Malwarebytes Anti-Malware supports a variety of command line parameters, which can be used from either a command prompt, batch file or script. (Note: some of these parameters are available in the PRO version only.)

mbam.exe <parameters>

(where parameters is one or more of the following)

  • /errorsilent: suppresses all critical errors and writes the last error to <root-drive>\mbam-error.txt where <root-drive> is the hard drive where Windows is installed, also known as the System Drive.

    Example:

    mbam.exe /errorsilent will suppress all errors when the program is running.
  • /proxy <required server> <optional port> <optional username> <optional password>: allows the user to update through a proxy server. Leave blank to remove any proxy settings previously set.

    Examples:
    • mbam.exe /proxy will remove the proxy settings.
    • mbam.exe /proxy proxy.com 80 will use proxy.com on port 80 with no credentials.
    • mbam.exe /proxy proxy.com 80 admin password will use proxy.com with the specified credentials.

  • /logtofolder <optional path>: allows the user to save all log files to the specified folder. If this folder does not exist, Malwarebytes Anti-Malware attempts to create it. If the path is blank, changes are reverted to default settings. These logs do not show up on the Logs tab.

    Example:

    mbam.exe /logtofolder C:\mbam_log_files will save all future log files to the location C:\mbam_log_files.

    Note: Protection logs created by the protection module will be saved to the same location you select

  • /logtofile <optional path>: allows the user to save all log files to the specified file. If this file does not exist, Malwarebytes Anti-Malware attempts to create it. Newest entries are appended to top of the file. If the path is blank, changes are reverted to default settings. This log does not show up on the Logs tab.
    Example:

    mbam.exe /logtofile C:\mbam_log_files\mbam-log.txt will save all future log files to the location C:\mbam_log_files\mbam-log.txt.

    Limitations: The path, in the above case C:\mbam_log_files, must exist. This option will not create folders if they don't exist, only the log file.

    Note: Protection logs created by the protection module will always still only be saved to the default location

  • /register: allows the user to register the program without displaying the main dialog box.

    Examples:

    mbam.exe /register 12345-67890 AAAA-BBBB-CCCC-DDDD will register the product using the license key passed in the parameters.

    Limitations: Protection must be enabled using the program user interface if it is to be enabled before the system restarts.

  • /developer: this command line parameter is used to execute the program in developer mode and will create a log with encrypted information on items detected in a scan. It is used for reporting false positives and allows the researchers to determine why an item is being detected.

    Example: mbam.exe /developer will start the program with detailed detection information.

    Note: When reporting a false positive, please be sure to use the /developer switch and provide the resulting log to the researchers.

  • /update <optional -silent>: allows the user to update the product and database.

    Examples:
    • mbam.exe /update will attempt to update the database or program, depending on settings.
    • mbam.exe /update -silent will attempt to update the database or program silently. The -silent switch will not function in the Free version.

  • /scan <optional -quick or -full or -flash> <optional -silent> <optional -remove> < optional -terminate> <optional -reboot> <optional -log>: initiates a scan with the selected options.

    Parameters:
    • -quick: initiates a quick scan.
    • -full: initiates a full scan using saved drives in the registry.
    • -flash: initiates a flash scan of memory and heuristics only.
    • -terminate: closes the program after a scan completes and no threats were found (cannot be used with -silent). If an item is detected, the program remains open so that the user can decide whether or not to remove the detected threat(s). The -terminate switch will not function in the Free version.
    • -log: overrides the save log checkmark on the settings tab. If the Automatically save log after scan completes option is unchecked, a log file will still be saved when the -log parameter is used.
    • -silent: hides the GUI while scanning (does not need to be used with -terminate). The -silent switch will not function in the Free version.
    • -reboot: reboots the computer if necessary, only valid if -remove is used. The -reboot switch will not function in the Free version.
    • -remove: automatically removes threats and saves a log file. Unless -silent is specified, GUI stays open. The -remove switch will not function in the Free version.

    Examples:

    • mbam.exe /scan will run a default scan.
    • mbam.exe /scan -full will run a full scan.
    • mbam.exe /scan -flash -terminate will run a flash scan and terminate if no objects are detected.
    • mbam.exe /scan -quick -log -silent -remove -reboot will run a quick scan silently, save logs, automatically remove threats, and reboot if necessary.

    Limitations:

    • -terminate parameter cannot be used with the -silent parameter since the program will automatically terminate when the -silent parameter is used.
    • -reboot parameter is only valid if used with the -remove parameter.

  • /schedule <options /update or /scan -quick or /scan -full or /scan -flash> <options /realtime or /hourly or /daily or /weekly or /monthly or /once or /onreboot>: these items allow the user to choose the frequency for the scheduled update or scan to occur:
    • <optional /starting mm/dd/yyyy hh:mm:ss>: this item allows the user to set the time for the scheduled scan or update to start.
    • For /realtime omit this - the current time is assumed.
    • For /random - this item selects a random time to set the scheduled scan or update to occur. /random may only be used with /hourly or /daily and randomizes the Hour and Minute or Hour and Minute and Second respectively

      Limitations: Not supported with /onreboot for scans or /realtime or /onreboot for updates.

    • <optional /every X where X is a number for the frequency of the scan or update to occur, this is required for every option except /monthly,/once and /onreboot> <optional /recover X where X is the number of hours for the scan or update to attempt to run again if the computer was unavailable during the scheduled time, this is not valid with /onreboot or /realtime>
    • <optional /wakefromsleep>: may be used with a scan or an update. Malwarebytes Anti-Malware will attempt to wake the computer from sleep to perform the scheduled scan or update.

      Limitations: Not supported with /onreboot for scans or /realtime or /onreboot for updates.
    • <optional /flash executes a Flash Scan after a successful update

      Note: only used with /update>

    Examples:

    • /schedule /scan -quick -remove -terminate -log /daily /starting 08/10/2010 23:00:00 /every 1 /silent /wakefromsleep will schedule silent daily Quick Scan starting on August 10th, 2010 at 11:00PM that will repeat every 1 day, remove threats, reboot if necessary, force the creation of a scan log and will attempt to wake the computer from sleep to perform the scan.
    • /schedule /update /flash /realtime /every 5 will schedule an update to occur in real-time once every 5 minutes and set a Flash Scan to occur after each successful update.

  • /unschedule <optional /all or /all -update or /all -scan>.
    Note: You can remove individual scans or updates by not including the /all switch and specifying the exact switches used to create the scan or update
    • /all removes all scheduled scans and updates.
    • /all -update removes all scheduled updates.
    • /all -scan removes all scheduled scans.

    Examples:

    • /unschedule /all will delete all scheduled updates and scans
    • /unschedule /all -scan will delete all scheduled scans
    • /unschedule /all -update will delete all scheduled updates
    • /unschedule /scan -quick -remove -terminate -log /daily /starting 08/10/2010 23:00:00 /every 1 /silent will delete a scheduled silent daily Quick Scan that was set to start on August 10th, 2010 at 11:00PM that was set to repeat every 1 day, remove threats, reboot if necessary, and force the creation of a scan log.
    • /unschedule /update /flash /realtime /every 5 will delete a scheduled update that was to occur in real-time once every 5 minutes and with a Flash Scan set to occur after each successful update.

  • /setpassword sets or changes the password to access certain features of the product. Quotes are required around the password you wish to set if it contains any non alpha-numeric characters and the actual character " is not allowed within the password itself.

    Examples:
    • /setpassword "malwarebytes" sets the password to malwarebytes
    • /setpassword "newpassword" "oldpassword" changes the password from oldpassword to newpassword
    • /setpassword "P^&#2@" sets the password to P^&#2@

  • /clearpassword <password>: removes the password.

    Examples:
    • /clearpassword "malwarebytes" removes all password protection if the password was malwarebytes
    • /clearpassword "P^&#2@" removes all password protection if the password was P^&#2@


Contact Malwarebytes

In the event you would like to contact Malwarebytes, please do so at www.malwarebytes.org/support.


Open Source Licenses

Malwarebytes uses a variety of Open Source components. Each of these components' licenses are below.

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/).
This product includes software licensed under the Apache 2.0 license.
This product includes software licensed under the MIT license.
This product includes software developed by vbAccelerator (http://vbaccelerator.com/).

OpenSSL License

  OpenSSL License
  ---------------

/* ====================================================================
 * Copyright (c) 1998-2011 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
 *
 * 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl-core@openssl.org.
 *
 * 5. Products derived from this software may not be called "OpenSSL"
 *    nor may "OpenSSL" appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.openssl.org/)"
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

 Original SSLeay License
 -----------------------

/* Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 *
 * This library is free for commercial and non-commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 *
 * Copyright remains Eric Young's, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    "This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)"
 *    The word 'cryptographic' can be left out if the rouines from the library
 *    being used are not cryptographic related :-).
 * 4. If you include any Windows specific code (or a derivative thereof) from
 *    the apps directory (application code) you must include an acknowledgement:
 *    "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"
 *
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */

MIT License

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Apache License

                              Apache License
                        Version 2.0, January 2004
                     http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

   "License" shall mean the terms and conditions for use, reproduction,
   and distribution as defined by Sections 1 through 9 of this document.

   "Licensor" shall mean the copyright owner or entity authorized by
   the copyright owner that is granting the License.

   "Legal Entity" shall mean the union of the acting entity and all
   other entities that control, are controlled by, or are under common
   control with that entity. For the purposes of this definition,
   "control" means (i) the power, direct or indirect, to cause the
   direction or management of such entity, whether by contract or
   otherwise, or (ii) ownership of fifty percent (50%) or more of the
   outstanding shares, or (iii) beneficial ownership of such entity.

   "You" (or "Your") shall mean an individual or Legal Entity
   exercising permissions granted by this License.

   "Source" form shall mean the preferred form for making modifications,
   including but not limited to software source code, documentation
   source, and configuration files.

   "Object" form shall mean any form resulting from mechanical
   transformation or translation of a Source form, including but
   not limited to compiled object code, generated documentation,
   and conversions to other media types.

   "Work" shall mean the work of authorship, whether in Source or
   Object form, made available under the License, as indicated by a
   copyright notice that is included in or attached to the work
   (an example is provided in the Appendix below).

   "Derivative Works" shall mean any work, whether in Source or Object
   form, that is based on (or derived from) the Work and for which the
   editorial revisions, annotations, elaborations, or other modifications
   represent, as a whole, an original work of authorship. For the purposes
   of this License, Derivative Works shall not include works that remain
   separable from, or merely link (or bind by name) to the interfaces of,
   the Work and Derivative Works thereof.

   "Contribution" shall mean any work of authorship, including
   the original version of the Work and any modifications or additions
   to that Work or Derivative Works thereof, that is intentionally
   submitted to Licensor for inclusion in the Work by the copyright owner
   or by an individual or Legal Entity authorized to submit on behalf of
   the copyright owner. For the purposes of this definition, "submitted"
   means any form of electronic, verbal, or written communication sent
   to the Licensor or its representatives, including but not limited to
   communication on electronic mailing lists, source code control systems,
   and issue tracking systems that are managed by, or on behalf of, the
   Licensor for the purpose of discussing and improving the Work, but
   excluding communication that is conspicuously marked or otherwise
   designated in writing by the copyright owner as "Not a Contribution."

   "Contributor" shall mean Licensor and any individual or Legal Entity
   on behalf of whom a Contribution has been received by Licensor and
   subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of
   this License, each Contributor hereby grants to You a perpetual,
   worldwide, non-exclusive, no-charge, royalty-free, irrevocable
   copyright license to reproduce, prepare Derivative Works of,
   publicly display, publicly perform, sublicense, and distribute the
   Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of
   this License, each Contributor hereby grants to You a perpetual,
   worldwide, non-exclusive, no-charge, royalty-free, irrevocable
   (except as stated in this section) patent license to make, have made,
   use, offer to sell, sell, import, and otherwise transfer the Work,
   where such license applies only to those patent claims licensable
   by such Contributor that are necessarily infringed by their
   Contribution(s) alone or by combination of their Contribution(s)
   with the Work to which such Contribution(s) was submitted. If You
   institute patent litigation against any entity (including a
   cross-claim or counterclaim in a lawsuit) alleging that the Work
   or a Contribution incorporated within the Work constitutes direct
   or contributory patent infringement, then any patent licenses
   granted to You under this License for that Work shall terminate
   as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the
   Work or Derivative Works thereof in any medium, with or without
   modifications, and in Source or Object form, provided that You
   meet the following conditions:

   (a) You must give any other recipients of the Work or
       Derivative Works a copy of this License; and

   (b) You must cause any modified files to carry prominent notices
       stating that You changed the files; and

   (c) You must retain, in the Source form of any Derivative Works
       that You distribute, all copyright, patent, trademark, and
       attribution notices from the Source form of the Work,
       excluding those notices that do not pertain to any part of
       the Derivative Works; and

   (d) If the Work includes a "NOTICE" text file as part of its
       distribution, then any Derivative Works that You distribute must
       include a readable copy of the attribution notices contained
       within such NOTICE file, excluding those notices that do not
       pertain to any part of the Derivative Works, in at least one
       of the following places: within a NOTICE text file distributed
       as part of the Derivative Works; within the Source form or
       documentation, if provided along with the Derivative Works; or,
       within a display generated by the Derivative Works, if and
       wherever such third-party notices normally appear. The contents
       of the NOTICE file are for informational purposes only and
       do not modify the License. You may add Your own attribution
       notices within Derivative Works that You distribute, alongside
       or as an addendum to the NOTICE text from the Work, provided
       that such additional attribution notices cannot be construed
       as modifying the License.

   You may add Your own copyright statement to Your modifications and
   may provide additional or different license terms and conditions
   for use, reproduction, or distribution of Your modifications, or
   for any such Derivative Works as a whole, provided Your use,
   reproduction, and distribution of the Work otherwise complies with
   the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise,
   any Contribution intentionally submitted for inclusion in the Work
   by You to the Licensor shall be under the terms and conditions of
   this License, without any additional terms or conditions.
   Notwithstanding the above, nothing herein shall supersede or modify
   the terms of any separate license agreement you may have executed
   with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade
   names, trademarks, service marks, or product names of the Licensor,
   except as required for reasonable and customary use in describing the
   origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or
   agreed to in writing, Licensor provides the Work (and each
   Contributor provides its Contributions) on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
   implied, including, without limitation, any warranties or conditions
   of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
   PARTICULAR PURPOSE. You are solely responsible for determining the
   appropriateness of using or redistributing the Work and assume any
   risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory,
   whether in tort (including negligence), contract, or otherwise,
   unless required by applicable law (such as deliberate and grossly
   negligent acts) or agreed to in writing, shall any Contributor be
   liable to You for damages, including any direct, indirect, special,
   incidental, or consequential damages of any character arising as a
   result of this License or out of the use or inability to use the
   Work (including but not limited to damages for loss of goodwill,
   work stoppage, computer failure or malfunction, or any and all
   other commercial damages or losses), even if such Contributor
   has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing
   the Work or Derivative Works thereof, You may choose to offer,
   and charge a fee for, acceptance of support, warranty, indemnity,
   or other liability obligations and/or rights consistent with this
   License. However, in accepting such obligations, You may act only
   on Your own behalf and on Your sole responsibility, not on behalf
   of any other Contributor, and only if You agree to indemnify,
   defend, and hold each Contributor harmless for any liability
   incurred by, or claims asserted against, such Contributor by reason
   of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

vbAccelerator License

vbAccelerator Software License
Version 1.0

Copyright (c) 2002 vbAccelerator.com

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer. Redistributions in binary
form must reproduce the above copyright notice, this list of conditions and
the following disclaimer in the documentation and/or other materials
provided with the distribution. The end-user documentation included with the
redistribution, if any, must include the following acknowledgment: "This
product includes software developed by vbAccelerator
(http://vbaccelerator.com/)." Alternately, this acknowledgment may appear in
the software itself, if and wherever such third-party acknowledgments
normally appear.

The names "vbAccelerator" and "vbAccelerator.com" must not be used to
endorse or promote products derived from this software without prior written
permission. For written permission, please contact vbAccelerator through
steve@vbaccelerator.com. Products derived from this software may not be
called "vbAccelerator", nor may "vbAccelerator" appear in their name,
without prior written permission of vbAccelerator.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
VBACCELERATOR OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.